Forum: Ruby Troubleshooting Ruby, Netbeans, sqljdbc

Announcement (2017-05-07): www.ruby-forum.com is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see rubyonrails.org/community and ruby-lang.org/en/community for other Rails- und Ruby-related community platforms.
Victor T. (Guest)
on 2009-03-20 18:32
Hello everyone,
   I posting this after doing a good deal of unsuccessful researches.

I am running windows with ruby 2.3.2 and working with netbeans.  I just
switch my project from running on the built-in ruby of nb, and now the
application give me this weird error:
...ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.2/lib/active_record/connection_adapters/abstract/connection_specification.rb:76:in
`establish_connection': Please install the jdbc adapter: `gem install
activerecord-jdbc-adapter` (no such file to load -- java) (RuntimeError)

I have installed activerecord-jdbc-adapter 0.9.1 and I get the same
error.  I downloaded the sqljdbc.jar but I don't know where to place it!
I read somewhere that it needs to be in the lib folder.  Can anyone who
knows be more specific? last time I checked there were about 16 lib
folder within the ruby folder!

I have the same problem on a Mac running Leopard, so I believe it has to
do with the jar file, but don´t take my word for it.  If you have any
idea please let me know!   My brain hurts !

Thank you
This topic is locked and can not be replied to.